EUARE-SERVERCERTUPLOAD(1)

NAME
euare-servercertupload - Upload a server certificate

SYNOPSIS
euare-servercertupload -s CERTNAME (-c CERT | --certificate-file FILE) (--private-key KEY | --private-key-file FILE) (--certificate-chain CHAIN | --certificate-chain-file FILE) [-p PATH] [--as-account ACCOUNT] [--region USER@REGION | -U URL] [-I KEY_ID] [-S KEY] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Upload a server certificate

  optional arguments:

-s CERTNAME, --server-certificate-name CERTNAME
    name to give the new server certificate (required)

-c CERT, --certificate-body CERT
    PEM-encoded certificate

--certificate-file FILE
    file containing the PEM-encoded certificate

--private-key KEY
    PEM-encoded private key

--private-key-file FILE
    file containing the PEM-encoded private key

--certificate-chain CHAIN
    PEM-encoded certificate chain. This is typically the PEM-encoded certificates of the chain, concatenated together.

--certificate-chain-file FILE
    file containing the PEM-encoded certificate chain. This is typically the PEM-encoded certificates of the chain, concatenated together.

-p PATH, --path PATH
    path for the new server certificate (default: "/")

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

--region USER@REGION
    name of the region and/or user in config files to use to connect to the service

-U URL, --url URL
    identity service endpoint URL

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit